#!/usr/bin/env python
import sys, os
sys.dont_write_bytecode = True
import subprocess
import numpy as np

import modules.conditions as conditions

import random
random.seed(1107)
np.random.seed(1107)

################################
your_group_ID = 'gr10414b'
################################

PATH = 'extraction'
os.makedirs(PATH, exist_ok=True)

import argparse
parser = argparse.ArgumentParser()
parser.add_argument('-ex', '--extract', type=str, default='Rh')
parser.add_argument('-wt', '--extract_wt', type=float, default=-1)
parser.add_argument('-r', '--extract_range', type=str, default='equal')

args = vars(parser.parse_args())

extract = args['extract']
extract_wt = args['extract_wt']
extract_range = args['extract_range']

condition = conditions.calc_condition()
computer = condition['computer']
Reaction = condition['Reaction']
Search_method = condition['Search_method']

if computer == 'B':
    core = condition['core']
    threads = 2 * core
else:
    core = condition['core']
    threads = 1 * core


if computer == 'B':
    with open(f'run{computer}_ex.sh', 'w') as f:
        print(
f'#!/bin/bash\n\
#============ Slum Options ============\n\
#SBATCH -p {your_group_ID}\n\
#SBATCH -t 168:00:00\n\
#SBATCH --rsc p=1:t={threads}:c={core}:m=500G\n\
#SBATCH -J "{Reaction}_ex"\n\
#SBATCH --no-requeue\n\
#SBATCH -o out/out_ex_{extract}\n\
#SBATCH -e err/err_ex_{extract}\n\
#============ Shell Script ============\n\
set -x\n\
\n\
srun python extract.py -ex {extract} > log/log_ex_{extract}',
            file=f
            )
    subprocess.call(f"sbatch run{computer}_ex.sh", shell=True)

subprocess.call(f"mv run{computer}_ex.sh job/", shell=True)

