#!/usr/bin/env python
import sys, os
sys.dont_write_bytecode = True
import subprocess
import numpy as np

import modules.conditions as conditions

import random
random.seed(1107)
np.random.seed(1107)

################################
your_group_ID = 'gr10414b'
################################

PATH = 'extraction'
os.makedirs(PATH, exist_ok = True)

import argparse
parser = argparse.ArgumentParser()
parser.add_argument('-n', '--catal_number', type=int, default=50)
parser.add_argument('-k', '--K_cluster', type=int, default=100)

args = vars(parser.parse_args())

catal_number = args['catal_number']
K_cluster = args['K_cluster']

condition = conditions.calc_condition()
computer = condition['computer']
Reaction = condition['Reaction']

if computer == 'B':
    core = condition['core']
    threads = 2 * core
else:
    core = condition['core']


if computer == 'B':
    with open(f'run{computer}_sum_K.sh', 'w') as f:
        print(
f'#!/bin/bash\n\
#============ Slum Options ============\n\
#SBATCH -p {your_group_ID}\n\
#SBATCH -t 168:00:00\n\
#SBATCH --rsc p=1:t={threads}:c={core}:m=500G\n\
#SBATCH -J "{Reaction}_sum"\n\
#SBATCH --no-requeue\n\
#SBATCH -o out/out_sumK\n\
#SBATCH -e err/err_sumK\n\
#============ Shell Script ============\n\
set -x\n\
\n\
srun python sum_k_clus.py -n {catal_number} -k {K_cluster} > log/log_sum',
            file=f
            )
    subprocess.call(f"sbatch run{computer}_sum_K.sh", shell=True)


subprocess.call(f"mv run{computer}_sum_K.sh job/", shell=True)
